ScXMLStateMachine.h(3)

NAME
ScXMLStateMachine.h

SYNOPSIS

#include <Inventor/scxml/ScXMLEventTarget.h>
#include <Inventor/SbName.h>
#include <Inventor/lists/SbList.h>

  Classes
class ScXMLStateMachine
Manager for processing events and setting states in SCXML structures.

  Typedefs
typedef void ScXMLStateMachineDeleteCB(void *userdata, ScXMLStateMachine *statemachine)
typedef void ScXMLStateChangeCB(void *userdata, ScXMLStateMachine *statemachine, const char *stateidentifier, SbBool enterstate, SbBool success)
typedef void ScXMLParallelStateChangeCB(void *userdata, ScXMLStateMachine *statemachine, int numstates, const char **stateidentifiers, SbBool enterstate, SbBool success)

Typedef Documentation

  void ScXMLStateMachineDeleteCB
This is the type definition for all callback functions to be invoked when a state machine is deleted.

  ScXMLStateChangeCB
This callback type is for notifying listeners on when the state machine enters and exits states that are tagged as 'tasks' for logging purposes. This is what the Boolean 'task' attribute in the state element sets up.

The success argument is currently unsupported (will always be TRUE), but has been preemptively added to avoid a signature change later.

See also
    addStateChangeCallback

  void ScXMLParallelStateChangeCB
This typedef is currently unused.

Author

Generated automatically by Doxygen for Coin from the source code.